<template>
  <div class="workBench">
    <workBenchTab :menu="workBenchMenu" @getTabAlias="TabAlias"></workBenchTab>
    <workGroupContent v-if="tabAlias == 'workGroup'"></workGroupContent>
    <workUserContent v-if="tabAlias == 'workUser'"></workUserContent>
  </div>
</template>

<script>
import workBenchTab from './components/workBenchTab.vue'
import workGroupContent from './components/workGroupContent.vue'
import workUserContent from './components/workUserContent.vue'
export default {
  components: {workBenchTab, workGroupContent, workUserContent},
  data() {
    return {
      workBenchMenu: [],
      tabAlias: '',
    }
  },
  mounted() {
    this.getWorkTabMenu()
    console.log(this.workBenchMenu)
  },
  methods: {
    getWorkTabMenu() {
      this.$store.dispatch('menu/actionFrontMenus').then((data) => {
        let bigScreen =
          data && data.filter((item) => item.alias === 'bigScreen')

        let workPlat = bigScreen[0].children.filter(
          (item) => item.alias === 'workPlat'
        )
        let normal = workPlat[0].children.filter(
          (item) => item.alias === 'normal'
        )
        let basicDataManagement = normal[0].children.filter(
          (item) => item.alias === 'basicDataManagement'
        )
        let workBench = basicDataManagement[0].children.filter(
          (item) => item.alias === 'workBench'
        )

        if (workBench[0].children.length !== 0) {
          for (let i = 0; i < workBench[0].children.length; i++) {
            this.tabAlias = workBench[0].children[0].alias
            this.workBenchMenu.push(workBench[0].children[i])
          }
        }
      })
    },
    TabAlias(tabAlias) {
      this.tabAlias = tabAlias
    },
  },
}
</script>

<style>
.workBench{

}
</style>